Bug 53535 - [NV84] [Quadro NVS 140M] X crash after waking up from suspend: Process /usr/bin/Xorg was killed by signal 6 (SIGABRT)
[NV84] [Quadro NVS 140M] X crash after waking up from suspend: Process /usr/b...
Status: RESOLVED FIXED
Product: xorg
Classification: Unclassified
Component: Driver/nouveau
unspecified
x86-64 (AMD64) Linux (All)
: medium critical
Assigned To: Nouveau Project
Xorg Project Team
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-15 10:49 UTC by reklov
Modified: 2013-08-31 11:10 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Xorg backtrace (9.89 KB, text/plain)
2012-08-15 10:49 UTC, reklov
no flags Details
/var/log/messages (24.38 KB, text/plain)
2012-08-15 10:52 UTC, reklov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description reklov 2012-08-15 10:49:54 UTC
Created attachment 65596 [details]
Xorg backtrace

After waking up from suspend and starting firefox X crashes.

cmdline: /usr/bin/Xorg :0 -background none -logverbose 7 -auth /var/run/gdm/auth-for-gdm-u1CSc3/database -seat seat0 -nolisten tcp vt1

Packages:
kernel.x86_64                      3.5.1-1.fc17     
xorg-x11-drv-ast.x86_64            0.93.9-6.fc17    
xorg-x11-drv-ati.x86_64            6.14.4-6.20120602git930760942.fc17
                                                    
xorg-x11-drv-cirrus.x86_64         1.3.2-19.fc17    
xorg-x11-drv-dummy.x86_64          0.3.5-4.fc17     
xorg-x11-drv-evdev.x86_64          2.7.0-2.fc17     
xorg-x11-drv-fbdev.x86_64          0.4.2-8.fc17     
xorg-x11-drv-intel.x86_64          2.20.1-1.fc17    
xorg-x11-drv-mga.x86_64            1.4.13-19.20120104git9223c44a7.fc17
                                                    
xorg-x11-drv-nouveau.x86_64        1:0.0.16-37.20120306gitf5d1cd2.fc17
                                                    
xorg-x11-drv-nouveau-debuginfo.x86_64
                                   1:0.0.16-37.20120306gitf5d1cd2.fc17
                                                    
xorg-x11-drv-openchrome.x86_64     0.2.906-1.fc17   
xorg-x11-drv-qxl.x86_64            0.0.22-0.fc17    
xorg-x11-drv-synaptics.x86_64      1.6.2-1.fc17     
xorg-x11-drv-vesa.x86_64           2.3.1-1.fc17     
xorg-x11-drv-vmmouse.x86_64        12.8.0-1.fc17    
xorg-x11-drv-vmware.x86_64         12.0.2-1.fc17    
xorg-x11-drv-void.x86_64           1.4.0-8.fc17     
xorg-x11-drv-wacom.x86_64          0.14.0-2.fc17    
xorg-x11-font-utils.x86_64         1:7.5-7.fc17     
xorg-x11-fonts-misc.noarch         7.5-5.fc17       
xorg-x11-server-Xephyr.x86_64      1.12.2-4.fc17    
xorg-x11-server-Xorg.x86_64        1.12.2-4.fc17    
xorg-x11-server-common.x86_64      1.12.2-4.fc17    
xorg-x11-server-debuginfo.x86_64   1.12.2-4.fc17    
xorg-x11-server-utils.x86_64       7.5-12.fc17      
xorg-x11-utils.x86_64              7.5-6.fc17       
xorg-x11-xauth.x86_64              1:1.0.7-1.fc17   
xorg-x11-xinit.x86_64              1.3.2-5.fc17     
xorg-x11-xkb-utils.x86_64          7.5-6.fc17
Comment 1 reklov 2012-08-15 10:52:01 UTC
Created attachment 65597 [details]
/var/log/messages
Comment 2 reklov 2012-08-15 10:59:00 UTC
[sudo] password for weld: 
01:00.0 VGA compatible controller: nVidia Corporation G84M [Quadro NVS 140M] (rev a1) (prog-if 00 [VGA controller])
	Subsystem: Lenovo ThinkPad T61
	Flags: bus master, fast devsel, latency 0, IRQ 16
	Memory at d6000000 (32-bit, non-prefetchable) [size=16M]
	Memory at e0000000 (64-bit, prefetchable) [size=256M]
	Memory at d4000000 (64-bit, non-prefetchable) [size=32M]
	I/O ports at 2000 [size=128]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: [60] Power Management version 2
	Capabilities: [68] MSI: Enable- Count=1/1 Maskable- 64bit+
	Capabilities: [78] Express Endpoint, MSI 00
	Capabilities: [100] Virtual Channel
	Capabilities: [128] Power Budgeting <?>
	Capabilities: [600] Vendor Specific Information: ID=0001 Rev=1 Len=024 <?>
	Kernel driver in use: nouveau
Comment 3 Marcin Slusarz 2012-08-15 11:41:32 UTC
I think it's already fixed by this commit:
http://cgit.freedesktop.org/nouveau/linux-2.6/commit/?h=drm-nouveau-fixes&id=2064db725cc6d4ea19a24c138bc37939b63e3ae6
Comment 4 Ilia Mirkin 2013-08-30 23:34:18 UTC
Does this still happen with the latest kernel? If so, please supply fresh logs.
Comment 5 reklov 2013-08-31 11:10:54 UTC
Yeah, this was fixed.